Download it now!
Bug 70131 - Labels of footnotes containing tabs are not exported in XHTML
Summary: Labels of footnotes containing tabs are not exported in XHTML
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Footnote-Endnote HTML-Export
  Show dependency treegraph
 
Reported: 2013-10-04 13:42 UTC by Alexandre Patry
Modified: 2019-12-03 14:12 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Document containing one footnote with tabs (9.22 KB, application/vnd.oasis.opendocument.text)
2013-10-04 13:42 UTC, Alexandre Patry
Details
Exported xhtml document missing a footnote label (3.07 KB, text/html)
2013-10-04 13:43 UTC, Alexandre Patry
Details
Patch fixing the problem for me (677 bytes, patch)
2013-10-04 13:44 UTC, Alexandre Patry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Patry 2013-10-04 13:42:40 UTC
Created attachment 87113 [details]
Document containing one footnote with tabs

Steps to reproduce:

1. Create a document.
2. Add a footnote containing one tabulation
3. File / Export / XHTML

Expected result:

The footnote is exported properly.

Observed result:

The label of the footnote is missing in the exported xhtml document.

I attached a test document, its xhtml export and a patch solving the problem for me.
Comment 1 Alexandre Patry 2013-10-04 13:43:39 UTC
Created attachment 87114 [details]
Exported xhtml document missing a footnote label
Comment 2 Alexandre Patry 2013-10-04 13:44:18 UTC
Created attachment 87115 [details]
Patch fixing the problem for me
Comment 3 Michael Stahl (CIB) 2013-12-04 13:40:15 UTC
hi Alexandre,

thanks for the patch, can you please send a license mail to
 libreoffice@lists.freedesktop.org  as described on this page:

https://wiki.documentfoundation.org/Development/Developers#Example_Statement

feel free to add an entry for yourself on the page too.

also it's better to upload patches to gerrit since developers
rarely look into bugzilla for patches as you have seen...

https://wiki.documentfoundation.org/Development/gerrit
Comment 4 QA Administrators 2015-04-19 03:21:47 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-09-20 09:24:19 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:12:26 UTC
Dear Alexandre Patry,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug